<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="50mm"
            android:text="ERP员工激活"
            android:textColor="@color/mainTextColor"
            android:textSize="28sp" />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="58mm"
            android:layout_marginTop="70mm"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50mm"
                android:layout_centerInParent="true"
                android:background="@drawable/shape_login_et"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="20mm"
                    android:layout_height="20mm"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="13mm"
                    android:background="@mipmap/login_phone" />

                <EditText
                    android:id="@+id/et_phone"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:layout_weight="1"
                    android:background="@null"
                    android:inputType="phone"
                    android:hint="输入手机号检测是否为ERP员工"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_discover"
                    android:layout_width="70mm"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="检测"
                    android:textColor="@color/mainTextColor"
                    android:textSize="13sp" />
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50mm"
                android:layout_centerInParent="true"
                android:layout_marginTop="20mm"
                android:background="@drawable/shape_login_et"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="20mm"
                    android:layout_height="20mm"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="13mm"
                    android:background="@mipmap/login_phone" />

                <EditText
                    android:id="@+id/et_staff_code"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="员工编号"
                    android:textSize="12sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50mm"
                android:layout_centerInParent="true"
                android:layout_marginTop="20mm"
                android:background="@drawable/shape_login_et"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="20mm"
                    android:layout_height="20mm"
                    android:layout_marginLeft="13mm"
                    android:background="@mipmap/login_phone" />

                <EditText
                    android:id="@+id/et_name"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="10mm"
                    android:layout_weight="1"
                    android:background="@null"
                    android:hint="员工姓名"
                    android:textSize="12sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50mm"
                android:layout_marginTop="20mm"
                android:background="@drawable/shape_login_et"
                android:gravity="center">

                <ImageView
                    android:layout_width="20mm"
                    android:layout_height="20mm"
                    android:layout_marginLeft="13mm"
                    android:background="@mipmap/login_pwd" />

                <EditText
                    android:id="@+id/et_code"
                    android:layout_width="0dp"
                    android:layout_height="30mm"
                    android:layout_marginLeft="10mm"
                    android:layout_weight="1"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:hint="输入验证码"
                    android:inputType="number"
                    android:textColorHint="@color/flexible_text_sup"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_code"
                    android:layout_width="70mm"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:text="获取验证码"
                    android:textColor="@color/mainTextColor"
                    android:textSize="13sp" />
            </LinearLayout>
        </LinearLayout>

        <Button
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="50mm"
            android:background="@drawable/selector_btn"
            android:layout_marginHorizontal="58mm"
            android:layout_marginTop="40mm"
            android:text="下一步"
            android:textColor="@color/white"
            android:textSize="20sp" />


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="bottom"
            android:layout_gravity="center_horizontal|bottom"
            android:layout_marginBottom="30mm"
            android:text="注册即代表同意《软件服务协议》及隐私协议"
            android:textColor="@color/flexible_text_sup"
            android:textSize="13sp" />
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>